Package com.google.android.exoplayer2

## Interface ControlDispatcher

- All Known Implementing Classes:
    `DefaultControlDispatcher`

      @Deprecated
      public interface ControlDispatcher

  Deprecated.
  Use a `ForwardingPlayer` or configure the player to customize operations.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `dispatchFastForward​(Player player)` | Deprecated. Dispatches a fast forward operation.
    `boolean` | `dispatchNext​(Player player)` | Deprecated. Dispatches a `Player.seekToNextWindow()` operation.
    `boolean` | `dispatchPrepare​(Player player)` | Deprecated. Dispatches a `Player.prepare()` operation.
    `boolean` | `dispatchPrevious​(Player player)` | Deprecated. Dispatches a `Player.seekToPreviousWindow()` operation.
    `boolean` | `dispatchRewind​(Player player)` | Deprecated. Dispatches a rewind operation.
    `boolean` | `dispatchSeekTo​(Player player, int windowIndex, long positionMs)` | Deprecated. Dispatches a `Player.seekTo(int, long)` operation.
    `boolean` | `dispatchSetPlaybackParameters​(Player player, PlaybackParameters playbackParameters)` | Deprecated. Dispatches a `Player.setPlaybackParameters(PlaybackParameters)` operation.
    `boolean` | `dispatchSetPlayWhenReady​(Player player, boolean playWhenReady)` | Deprecated. Dispatches a `Player.setPlayWhenReady(boolean)` operation.
    `boolean` | `dispatchSetRepeatMode​(Player player, int repeatMode)` | Deprecated. Dispatches a `Player.setRepeatMode(int)` operation.
    `boolean` | `dispatchSetShuffleModeEnabled​(Player player, boolean shuffleModeEnabled)` | Deprecated. Dispatches a `Player.setShuffleModeEnabled(boolean)` operation.
    `boolean` | `dispatchStop​(Player player, boolean reset)` | Deprecated. Dispatches a `Player.stop()` operation.
    `boolean` | `isFastForwardEnabled()` | Deprecated. Returns `true` if fast forward is enabled, `false` otherwise.
    `boolean` | `isRewindEnabled()` | Deprecated. Returns `true` if rewind is enabled, `false` otherwise.

- - ### Method Detail

    - #### dispatchPrepare

          boolean dispatchPrepare​(Player player)

      Deprecated.
      Dispatches a `Player.prepare()` operation.
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchSetPlayWhenReady

          boolean dispatchSetPlayWhenReady​(Player player,
                                           boolean playWhenReady)

      Deprecated.
      Dispatches a `Player.setPlayWhenReady(boolean)` operation.
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
        `playWhenReady` - Whether playback should proceed when ready.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchSeekTo

          boolean dispatchSeekTo​(Player player,
                                 int windowIndex,
                                 long positionMs)

      Deprecated.
      Dispatches a `Player.seekTo(int, long)` operation.
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
        `windowIndex` - The index of the window.
        `positionMs` - The seek position in the specified window, or `C.TIME_UNSET` to seek to the window's default position.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchPrevious

          boolean dispatchPrevious​(Player player)

      Deprecated.
      Dispatches a `Player.seekToPreviousWindow()` operation.
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchNext

          boolean dispatchNext​(Player player)

      Deprecated.
      Dispatches a `Player.seekToNextWindow()` operation.
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchRewind

          boolean dispatchRewind​(Player player)

      Deprecated.
      Dispatches a rewind operation.
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchFastForward

          boolean dispatchFastForward​(Player player)

      Deprecated.
      Dispatches a fast forward operation.
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchSetRepeatMode

          boolean dispatchSetRepeatMode​(Player player,
                                        @RepeatMode
                                        int repeatMode)

      Deprecated.
      Dispatches a `Player.setRepeatMode(int)` operation.
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
        `repeatMode` - The repeat mode.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchSetShuffleModeEnabled

          boolean dispatchSetShuffleModeEnabled​(Player player,
                                                boolean shuffleModeEnabled)

      Deprecated.
      Dispatches a `Player.setShuffleModeEnabled(boolean)` operation.
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
        `shuffleModeEnabled` - Whether shuffling is enabled.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchStop

          boolean dispatchStop​(Player player,
                               boolean reset)

      Deprecated.
      Dispatches a `Player.stop()` operation.
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
        `reset` - Whether the player should be reset.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### dispatchSetPlaybackParameters

          boolean dispatchSetPlaybackParameters​(Player player,
                                                PlaybackParameters playbackParameters)

      Deprecated.
      Dispatches a `Player.setPlaybackParameters(PlaybackParameters)` operation.
      Parameters:
        `player` - The `Player` to which the operation should be dispatched.
        `playbackParameters` - The playback parameters.
      Returns:
        True if the operation was dispatched. False if suppressed.

    - #### isRewindEnabled

          boolean isRewindEnabled()

      Deprecated.
      Returns `true` if rewind is enabled, `false` otherwise.

    - #### isFastForwardEnabled

          boolean isFastForwardEnabled()

      Deprecated.
      Returns `true` if fast forward is enabled, `false` otherwise.